Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields | Protected Attributes
Lucene::DocInverterPerField Class Reference

Holds state for inverting all occurrences of a single field in the document. This class doesn't do anything itself; instead, it forwards the tokens produced by analysis to its own consumer (InvertedDocConsumerPerField). It also interacts with an endConsumer (InvertedDocEndConsumerPerField). More...

`#include <DocInverterPerField.h>`

Inheritance diagram for Lucene::DocInverterPerField:

## Public Member Functions

| DocInverterPerField (DocInverterPerThreadPtr perThread, FieldInfoPtr fieldInfo)
virtual | ~DocInverterPerField ()
virtual String | getClassName ()
boost::shared_ptr < DocInverterPerField > | shared_from_this ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual void | abort ()
virtual void | processFields (Collection< FieldablePtr > fields, int32_t count)
| Processes all occurrences of a single field. More...
Public Member Functions inherited from Lucene::DocFieldConsumerPerField
virtual | ~DocFieldConsumerPerField ()
boost::shared_ptr < DocFieldConsumerPerField > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocFieldConsumerPerField
static String | _getClassName ()

## Data Fields

InvertedDocConsumerPerFieldPtr | consumer
InvertedDocEndConsumerPerFieldPtr | endConsumer
DocStatePtr | docState
FieldInvertStatePtr | fieldState

## Protected Attributes

DocInverterPerThreadWeakPtr | _perThread
FieldInfoPtr | fieldInfo

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Holds state for inverting all occurrences of a single field in the document. This class doesn't do anything itself; instead, it forwards the tokens produced by analysis to its own consumer (InvertedDocConsumerPerField). It also interacts with an endConsumer (InvertedDocEndConsumerPerField).

## Constructor & Destructor Documentation

Lucene::DocInverterPerField::DocInverterPerField | ( | DocInverterPerThreadPtr | perThread,
|  | FieldInfoPtr | fieldInfo
| ) |  |

virtual Lucene::DocInverterPerField::~DocInverterPerField | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::DocInverterPerField::_getClassName | ( | ) |  |

inline static

virtual void Lucene::DocInverterPerField::abort | ( | ) |  |

virtual

Implements Lucene::DocFieldConsumerPerField.

virtual String Lucene::DocInverterPerField::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::DocFieldConsumerPerField.

virtual void Lucene::DocInverterPerField::initialize | ( | ) |  |

virtual

Called directly after instantiation to create objects that depend on this object being fully constructed.

Reimplemented from Lucene::LuceneObject.

virtual void Lucene::DocInverterPerField::processFields | ( | Collection< FieldablePtr > | fields,
|  | int32_t | count
| ) |  |

virtual

Processes all occurrences of a single field.

Implements Lucene::DocFieldConsumerPerField.

boost::shared_ptr< DocInverterPerField > Lucene::DocInverterPerField::shared_from_this | ( | ) |  |

inline

## Field Documentation

DocInverterPerThreadWeakPtr Lucene::DocInverterPerField::_perThread

protected

InvertedDocConsumerPerFieldPtr Lucene::DocInverterPerField::consumer

DocStatePtr Lucene::DocInverterPerField::docState

InvertedDocEndConsumerPerFieldPtr Lucene::DocInverterPerField::endConsumer

FieldInfoPtr Lucene::DocInverterPerField::fieldInfo

protected

FieldInvertStatePtr Lucene::DocInverterPerField::fieldState

The documentation for this class was generated from the following file:

- DocInverterPerField.h

clucene.sourceforge.net